Subject: ncurses-4.1 configure locks up my Win95 machine *too*
From: [email-masked] (Toni L. Harbaugh)

1 Mar 1998 18:46:06 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

Folks-

Has anyone gotten the ncurses-4.1 configure to complete
on a Windows 95 (OSR 2) box?  If so, could you please
post details about your setup (config.sys, autoexec.bat,
..bashrc, etc.) and/or any special tricks that are
necessary?

On my PC with 32Mb of memory, configure consistently
locks up the machine in almost - but not *exactly* -
the same spot every time.  I have tried the various
suggestions I've seen posted to the list (including the
one quoted below) to no avail.

I have noticed that ncurses configure will lock up the
machine *much* earlier in the run if I have been
previously using another bash window, even if I have
exited the window prior to opening the one in which I
attempt the configure.

What makes this so frustrating is that the script
appears to be running along just fine.  Then suddenly
everything just freezes - darn.  :(

Any help in resolving this matter is greatly appreciated.
Thanks.

Toni Harbaugh-Blackford   [email-masked]
------------------------------------------------
On Sun, 1 Mar 1998, Mikey wrote:

  > A partial workaround is to reduce to a minimum the
  > number of environment variables passed down
  > to the forked process.
  > 
  > export -n
  > on all variables used only in the top level shell
  > set +a
  > at the end of .bashrc similar to the following
  > 
  > unset CYGROOT WINBOOTDIR WINDIR WINPMT BLASTER CMDLINE
  > unset PROMPT QBACKUP SYMANTEC TEMP CMDLINE ISP16
  > unset COPYCMD DIRCMD E2CWD HLP NU PKUNZIP CONFIG
  > export -nf dlow tlow tup which
  > export -n TZ CVSROOT EDITOR LESSCHARSET PS1 PS2
  > export -n TMP TERMINFO LS_COLORS C32PATH HISTCONTROL HOSTTYPE
  > export -n IGNOREEOF SHELLOPTS SHLVL MACHTYPE HOSTNAME OSTYPE
  > trap '' 5
  > set +a #do not export variables in subshells
  > 
  > Will get you much farther in configure/make of
  > the cdk.
  > 
  > On Sun, 1 Mar 1998 03:27:08 -0800 (PST), you wrote:
  > 
  > >David Walter wrote:
  > >> 
  > >> Now consistently, but at different stages of the build process the
  > >> machine freezes.  
  > >
  > >I had more problems than before in Win 95 with random freezes.  This
  > >problem mostly went away when I upgraded to the latest version of Win
  > >95.
  > >
  > >If anyone figures out what's causing this, I would really like to
  > >know.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".